io.vertx.ext.web.handler

## Interface RedirectAuthHandler

- All Superinterfaces:
    AuthHandler, Handler<RoutingContext>

      public interface RedirectAuthHandler
      extends AuthHandler

  An auth handler that's used to handle auth by redirecting user to a custom login page.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_LOGIN_REDIRECT_URL` Default path the user will be redirected to
    `static String` | `DEFAULT_RETURN_URL_PARAM` Default name of param used to store return url information in session

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthHandler` | `create(AuthProvider authProvider)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL, String returnURLParam)` Create a handler

    - ### Methods inherited from interface io.vertx.ext.web.handler.AuthHandler

      `addAuthorities, addAuthority`

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_LOGIN_REDIRECT_URL

          static final String DEFAULT_LOGIN_REDIRECT_URL

      Default path the user will be redirected to
      See Also:
        Constant Field Values

    - #### DEFAULT_RETURN_URL_PARAM

          static final String DEFAULT_RETURN_URL_PARAM

      Default name of param used to store return url information in session
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static AuthHandler create(AuthProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          static AuthHandler create(AuthProvider authProvider,
                                    String loginRedirectURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
      Returns:
        the handler

    - #### create

          static AuthHandler create(AuthProvider authProvider,
                                    String loginRedirectURL,
                                    String returnURLParam)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
        `returnURLParam` - the name of param used to store return url information in session
      Returns:
        the handler

Copyright © 2016. All rights reserved.